<cui-card class="filters-card">
  <cui-card-body>
    <form [formGroup]="formGroup">
      <cui-form-field>
        <cui-icon cuiFormPrefix name="search"></cui-icon>
        <cui-input-text formControlName="search" placeholder="Search"></cui-input-text>
      </cui-form-field>
      <span class="headline-wrapper cui-mt-m cui-mb-m">
        <cui-badge class="healine-title"
                   mode="ghost"
                   [prefixIcon]="'user'"
                   [iconClass]="'badge-icon'"
                   [class.cui-active]="!collapsed"
                   (click)="collapse.toggle()">
          Users
        </cui-badge>
        <span class="count">10</span>
      </span>
      <div class="collapsable-container" [(cuiCollapse)]="collapsed" #collapse="cuiCollapse">
        <cui-form-field label="Filter 1" mode="secondary">
          <cui-select formControlName="selectFilter1" [items]="selectFilter"></cui-select>
        </cui-form-field>
        <cui-form-field label="Filter 2 (multiple)" mode="secondary">
          <cui-select formControlName="selectFilter2" [items]="selectFilter2" [multiple]="true"></cui-select>
        </cui-form-field>
        <button class="reset-button cui-mb-m" cui-button prefixIcon="refresh" mode="ghost" (click)="resetUserFilters()">Reset</button>
      </div>

      <cui-form-field-label>Order</cui-form-field-label>
      <cui-radio-group formControlName="radioFilter">
        <cui-radio-button value="ASC">Ascending</cui-radio-button>
        <cui-radio-button value="DESC">Descending</cui-radio-button>
      </cui-radio-group>
      <cui-form-field-label>Right Order</cui-form-field-label>
      <cui-radio-group formControlName="radioFilter">
        <cui-radio-button value="ASC" [align]="'right-spread'">Right Ascending</cui-radio-button>
        <cui-radio-button value="DESC" [align]="'right-spread'">Right Descending</cui-radio-button>
      </cui-radio-group>

      <hr class="cui-card-pull-out">

      <cui-form-field-label>Options</cui-form-field-label>
      <cui-checkbox formControlName="checkboxFilter">Case Sensitive</cui-checkbox>
      <cui-checkbox formControlName="checkboxFilter2">Only Alphanumerical</cui-checkbox>

      <cui-form-field-label>Right Options</cui-form-field-label>
      <cui-checkbox formControlName="checkboxFilter" [align]="'right-spread'">Right Case</cui-checkbox>
      <cui-checkbox formControlName="checkboxFilter2" [align]="'right-spread'">Right Value</cui-checkbox>

      <cui-form-field-label>Refresh</cui-form-field-label>
      <cui-toggle formControlName="toggleFilter" mode="primary" [align]="'right-spread'">Auto Refresh</cui-toggle>

      <hr class="cui-card-pull-out">

      <cui-form-field label="Event Period">
        <cui-input-datepicker formControlName="dateFilter"></cui-input-datepicker>
      </cui-form-field>
      <cui-form-field label="Inline Event Period">
        <cui-input-datepicker-inline formControlName="dateFilter" width="260px" height="260px"></cui-input-datepicker-inline>
      </cui-form-field>
    </form>
  </cui-card-body>
</cui-card>
